# Generated from redis-scheduler-0.9.gem by gem2rpm -*- rpm-spec -*-
%global gem_name redis-scheduler

Name: rubygem-%{gem_name}
Version: 0.9
Release: 1%{?dist}
Summary: A basic chronological scheduler for Redis
License: COPYING
URL: http://gitub.com/wmorgan/redis-scheduler
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
A simple, production-ready chronological scheduler for Redis. It allows you to
schedule items to be processed at arbitrary points in the future, and easily
retrieve only those items that are due to be processed.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/COPYING
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README
%{gem_instdir}/test

%changelog
* Wed Apr 20 2022 mockbuilder - 0.9-1
- Initial package
